/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2014-06-04 11:31:35Z
 *****************************************************************************/

#ifndef __RSSFC_ATTRIBUTES_HEADER
#define __RSSFC_ATTRIBUTES_HEADER

#include "rsidr_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rssfc_hex_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable rssfc_rngCalibrationResult;
extern RsRangeTable rssfc_rngIqcInp;
extern RsRangeTable rssfc_rngIqcDtmbGic;
extern RsRangeTable rssfc_rngIqcPrbsMode;
extern RsRangeTable rssfc_rngIqcSigSour;
extern RsRangeTable rssfc_rngIqcTestSig;
extern RsRangeTable rssfc_rngIqcTimeInter;
extern RsRangeTable rssfc_rngIqcDvbtChanBw;
extern RsRangeTable rssfc_rngIqcDvbtCons;
extern RsRangeTable rssfc_rngIqcDvbtSymb;
extern RsRangeTable rssfc_rngIqcDvbtFftMode;
extern RsRangeTable rssfc_rngIqcDvbtGuarInt;
extern RsRangeTable rssfc_rngIqcDvbtHier;
extern RsRangeTable rssfc_rngDigMod;
extern RsRangeTable rssfc_rngDmSigSource;
extern RsRangeTable rssfc_rngDmTransmStd;
extern RsRangeTable rssfc_rngDmSpectPolar;
extern RsRangeTable rssfc_rngNoiseState;
extern RsRangeTable rssfc_rngPowLevUnit;
extern RsRangeTable rssfc_rngRoscSource;
extern RsRangeTable rssfc_rngTsgenCommand;
extern RsRangeTable rssfc_rngTdmbSource;
extern RsRangeTable rssfc_rngTdmbTranMode;
extern RsRangeTable rssfc_rngTdmbPrbsSeq;
extern RsRangeTable rssfc_rngTdmbProtProfile;
extern RsRangeTable rssfc_rngTdmbProtLevel;
extern RsRangeTable rssfc_rngTdmbETI;
extern RsRangeTable rssfc_rngDmAtvTransmStd;
extern RsRangeTable rssfc_rngFreqVsbFreq;
extern RsRangeTable rssfc_rngSystemKLock;
extern RsRangeTable rssfc_rngTsgenCommandState;
extern RsRangeTable rssfc_rngIqcPid;
extern RsRangeTable rssfc_rngIqcDvbtTpsVal;
extern RsRangeTable rssfc_rngOutpFreq;
extern RsRangeTable rssfc_rngNoiseCn;
extern RsRangeTable rssfc_rngNoiseReceivBW;
extern RsRangeTable rssfc_rngRoscAdjVal;
extern RsRangeTable rssfc_rngTsgenTsDataRate;
extern RsRangeTable rssfc_rngTdmbTestSigScid;
extern RsRangeTable rssfc_rngTdmbTransModeSel;
extern RsRangeTable rssfc_rngFreqChannel;
extern RsRangeTable rssfc_rngIqcTdmbTiiSubID;
extern RsRangeTable rssfc_rngIqcTdmbTiiMain;
extern RsRangeTable rssfc_rngRclSave;
extern RsRangeTable rssfc_rngIqcDtmbPackLength;
extern RsRangeTable rssfc_rngIqcDtmbChanBw;
extern RsRangeTable rssfc_rngIqcDtmbCodeRate;
extern RsRangeTable rssfc_rngDtmbPrbsSeq;
extern RsRangeTable rssfc_rngIqcDtmbCons;
extern RsRangeTable rssfc_rngIqcDtmbDelay;
extern RsRangeTable rssfc_rngIqcDtmbGuar;
extern RsRangeTable rssfc_rngIqcDtmbNetw;
extern RsRangeTable rssfc_rngDmAudioStd;
extern RsRangeTable rssfc_rngRfoutAmode;
extern RsRangeTable rssfc_rngIqcTestSigDTMB;
extern RsRangeTable rssfc_rngIqcIsdbtSystem;
extern RsRangeTable rssfc_rngIqcIsdbtPortion;
extern RsRangeTable rssfc_rngIqcIsdbtConstel;
extern RsRangeTable rssfc_rngIqcIsdbtSegment;
extern RsRangeTable rssfc_rngIqcCodeRate;
extern RsRangeTable rssfc_rngIqcIsdbtInterleaving;
extern RsRangeTable rssfc_rngIqcIsdbtMode;
extern RsRangeTable rssfc_rngIqcIsdbtGuardInt;
extern RsRangeTable rssfc_rngIqcIsdbtSubChan;
extern RsRangeTable rssfc_rngIqcTestPacketMode;
extern RsRangeTable rssfc_rngIqcIsdbtAcData;
extern RsRangeTable rssfc_rngIqcAtvVideoInput;
extern RsRangeTable rssfc_rngIqcAtvVisionPict;
extern RsRangeTable rssfc_rngIqcAtvAudioSource;
extern RsRangeTable rssfc_rngIqcAtvFreqSound;
extern RsRangeTable rssfc_rngIqcAtvLevelSound;
extern RsRangeTable rssfc_rngIqcAtvSoundMode;
extern RsRangeTable rssfc_rngIqcAtvPreemphasis;
extern RsRangeTable rssfc_rngIqcAtvFreqDevPilot;
extern RsRangeTable rssfc_rngIqcAtvSpecFreqDev;
extern RsRangeTable rssfc_rngIqcAtvSubCarrFreq;
extern RsRangeTable rssfc_rngIqcAtvLevelSubCarr;
extern RsRangeTable rssfc_rngIqcAtvSpecialVsbChar;
extern RsRangeTable rssfc_rngIqcAtvResidualCarr;
extern RsRangeTable rssfc_rngIqcAtvAmModulDepth;
extern RsRangeTable rssfc_rngIqcAtvNicamSpecRoll;
extern RsRangeTable rssfc_rngIqcAtvNicamSource;
extern RsRangeTable rssfc_rngIqcAtvNicamMode;
extern RsRangeTable rssfc_rngIqcAtvNicamAfFreq;
extern RsRangeTable rssfc_rngIqcAtvNicamAfLevel;
extern RsRangeTable rssfc_rngIqcIsdbtTestSig;
extern RsRangeTable rssfc_rngIqcDvbcCons;
extern RsRangeTable rssfc_rngIqcSymbRate;
extern RsRangeTable rssfc_rngIqcDvbcRollOff;
extern RsRangeTable rssfc_rngIqcDvbsSymbRate;
extern RsRangeTable rssfc_rngIqcDvbsCons;
extern RsRangeTable rssfc_rngIqcDvbsRolloff;
extern RsRangeTable rssfc_rngIqcPackedLength;
extern RsRangeTable rssfc_rngIqcVsbSymbRate;
extern RsRangeTable rssfc_rngIqcVsbTestSig;
extern RsRangeTable rssfc_rngAudioBcFmInput;
extern RsRangeTable rssfc_rngAudioBcFmMode;
extern RsRangeTable rssfc_rngIqcIsdbtTxParam;
extern RsRangeTable rssfc_rngAudioBcFmAgenFreq;
extern RsRangeTable rssfc_rngAudioBcFmAgenLevel;
extern RsRangeTable rssfc_rngAudioBcFmSigType;
extern RsRangeTable rssfc_rngAudioBcMoPreemphasis;
extern RsRangeTable rssfc_rngAudioBcDevAudio;
extern RsRangeTable rssfc_rngAudioBcRdsDev;
extern RsRangeTable rssfc_rngAudioBcPilotDev;
extern RsRangeTable rssfc_rngAudioBcSpecPilotPh;
extern RsRangeTable rssfc_rngAudioBcSpecRdsPh;
extern RsRangeTable rssfc_rngAudioBcAmGenFreq;
extern RsRangeTable rssfc_rngAudioBcAmGenLev;
extern RsRangeTable rssfc_rngAudioBcAmDepth;
extern RsRangeTable rssfc_rngIqcStuf;
extern RsRangeTable rssfc_rngIqcDirPackLength;
extern RsRangeTable rssfc_rngIqcSymb;
extern RsRangeTable rssfc_rngIqcDirCons;
extern RsRangeTable rssfc_rngIqcDirRollOff;
extern RsRangeTable rssfc_rngIqcDirCodeRate;
extern RsRangeTable rssfc_rngIqcDirTestPacketMode;
extern RsRangeTable rssfc_rngIqcJ83BTestSig;
extern RsRangeTable rssfc_rngIqcJ83BConstellation;
extern RsRangeTable rssfc_rngIqcJ83BIntrleaverMode;
extern RsRangeTable rssfc_rngIqcMfloWID;
extern RsRangeTable rssfc_rngIqcMfloLID;
extern RsRangeTable rssfc_rngIqcMfloChanBw;
extern RsRangeTable rssfc_rngIqcPayload;
extern RsRangeTable rssfc_rngIcqCmmbSour;
extern RsRangeTable rssfc_rngIcqCmmbNrServices;
extern RsRangeTable rssfc_rngIqcCmmbControl;
extern RsRangeTable rssfc_rngIqcCmmbBw;
extern RsRangeTable rssfc_rngIqcCmmbOdfm;
extern RsRangeTable rssfc_rngIqcCmmbTxId;
extern RsRangeTable rssfc_rngIqcCmmbArId;
extern RsRangeTable rssfc_rngIcgAudioFmRdsPi;
extern RsRangeTable rssfc_rngIcgAudioFmRdsPty;
extern RsRangeTable rssfc_rngIcgAudioFmRdsMs;
extern RsRangeTable rssfc_rngIcgAudioFmRdsMethod;
extern RsRangeTable rssfc_rngIcgAudioFmAfANoFreq;
extern RsRangeTable rssfc_rngIcgAudioFmAfAFreq;
extern RsRangeTable rssfc_rngIcgAudioFmAfBListNo;
extern RsRangeTable rssfc_rngIcgAudioFmAfBNoFreq;
extern RsRangeTable rssfc_rngIcgAudioFmAfBOrder;
extern RsRangeTable rssfc_rngIcgAudioFmEonPi;
extern RsRangeTable rssfc_rngIcgAudioFmEonLsn;
extern RsRangeTable rssfc_rngIcgAudioFmEonPty;
extern RsRangeTable rssfc_rngIcgAudioFmEonMethod;
extern RsRangeTable rssfc_rngIcgAudioFmEonMapAfBNoFreq;
extern RsRangeTable rssfc_rngIcgAudioFmTmc3aVar;
extern RsRangeTable rssfc_rngIcgAudioFmTmc3aGroup;
extern RsRangeTable rssfc_rngIcgAudioFmBlock;
extern RsRangeTable rssfc_rngIqcIsdbtTmcc;
extern RsRangeTable rssfc_rngIqcDvbs2Fecframe;
extern RsRangeTable rssfc_rngIcqCmmbTstSignal;
extern RsRangeTable rssfc_rngIqcDvbs2Rolloff;
extern RsRangeTable rssfc_rngIqcDvbs2CodeRate;
extern RsRangeTable rssfc_rngIqcDvbs2Constel;
extern RsRangeTable rssfc_rngAtsmBuryRatio;
extern RsRangeTable rssfc_rngAtsmConstel;
extern RsRangeTable rssfc_rngAtsmSymbolRate;
extern RsRangeTable rssfc_rngAtsmTestTsPacket;
extern RsRangeTable rssfc_rngAtsmTxAddress;
extern RsRangeTable rssfc_rngAtsmMHEPID;
extern RsRangeTable rssfc_rngAtsmTID;
extern RsRangeTable rssfc_rngAtsmMID;
extern RsRangeTable rssfc_rngDvbt2MiSource;
extern RsRangeTable rssfc_rngDvbt2NumPlp;
extern RsRangeTable rssfc_rngDvbt2InpFormat;
extern RsRangeTable rssfc_rngDvbt2ModePlpId;
extern RsRangeTable rssfc_rngDvbt2PlpType;
extern RsRangeTable rssfc_rngDvbt2BbMode;
extern RsRangeTable rssfc_rngDvbt2BicmFec;
extern RsRangeTable rssfc_rngDvbt2CRate;
extern RsRangeTable rssfc_rngDvbt2Constel;
extern RsRangeTable rssfc_rngDvbt2TimeInt;
extern RsRangeTable rssfc_rngDvbt2ChBWidth;
extern RsRangeTable rssfc_rngDvbt2FftMode;
extern RsRangeTable rssfc_rngDvbt2GuardInt;
extern RsRangeTable rssfc_rngDvbt2PilotPatt;
extern RsRangeTable rssfc_rngDvbt2TransSyst;
extern RsRangeTable rssfc_rngDvbt2PeakAverPow;
extern RsRangeTable rssfc_rngDvbt2L1PostModul;
extern RsRangeTable rssfc_rngDvbt2TBicmIJump;
extern RsRangeTable rssfc_rngDvbt2TimeInterLen;
extern RsRangeTable rssfc_rngDvbt2T2SuperFrame;
extern RsRangeTable rssfc_rngDvbt2OfdmSymb;
extern RsRangeTable rssfc_rngDvbt2SubslicT2Fram;
extern RsRangeTable rssfc_rngDvbt2T2SystAuxStr;
extern RsRangeTable rssfc_rngDvbt2SystIDHex;
extern RsRangeTable rssfc_rngNetworkMode;
extern RsRangeTable rssfc_rngDvbt2MisoGroup;
extern RsRangeTable rssfc_rngDvbt2IssyMode;
extern RsRangeTable rssfc_rngDvbt2PlpModulType;
extern RsRangeTable rssfc_rngDvbt2L1Version;
extern RsRangeTable rssfc_rngMfloIfftMode;
extern RsRangeTable rssfc_rngMfloStimMap;
extern RsRangeTable rssfc_rngMfloCPLength;
extern RsRangeTable rssfc_rngMfloMACFrame;
extern RsRangeTable rssfc_rngMfloWPid;
extern RsRangeTable rssfc_rngMfloInfrastructId;
extern RsRangeTable rssfc_rngMfloTxTransID;
extern RsRangeTable rssfc_rngMfloTxPosition;
extern RsRangeTable rssfc_rngMfloTxOffset;
extern RsRangeTable rssfc_rngMfloTxLat;
extern RsRangeTable rssfc_rngMfloTxLon;
extern RsRangeTable rssfc_rngMfloTxAltitude;
extern RsRangeTable rssfc_rngIqcDvbt2BwVar;
extern RsRangeTable rssfc_rngDvbt2MiPid;
extern RsRangeTable rssfc_rngMfloTxNumTrans;
extern RsRangeTable rssfc_rngIqcIsdbtControl;
extern RsRangeTable rssfc_rngCodingControl;
extern RsRangeTable rssfc_rngDvbc2NumPlp;
extern RsRangeTable rssfc_rngDvbc2InpFormat;
extern RsRangeTable rssfc_rngDvbc2ModePlpId;
extern RsRangeTable rssfc_rngDvbc2PlpType;
extern RsRangeTable rssfc_rngDvbc2BbMode;
extern RsRangeTable rssfc_rngDvbc2IssyMode;
extern RsRangeTable rssfc_rngDvbc2BicmFec;
extern RsRangeTable rssfc_rngDvbc2CodeRate;
extern RsRangeTable rssfc_rngDvbc2Constell;
extern RsRangeTable rssfc_rngDvbc2DsliceMap;
extern RsRangeTable rssfc_rngDvbc2DsliceNum;
extern RsRangeTable rssfc_rngDvbc2DslTIDepth;
extern RsRangeTable rssfc_rngDvbc2DslType;
extern RsRangeTable rssfc_rngDvbc2DslFecHeaderType;
extern RsRangeTable rssfc_rngDvbc2DslXFecFrames;
extern RsRangeTable rssfc_rngDvbc2DslOffset;
extern RsRangeTable rssfc_rngDvbc2DslTunePosRel;
extern RsRangeTable rssfc_rngDvbc2ChBWidth;
extern RsRangeTable rssfc_rngDvbc2NumBundledCh;
extern RsRangeTable rssfc_rngDvbc2GuardInt;
extern RsRangeTable rssfc_rngDvbc2SystIDHex;
extern RsRangeTable rssfc_rngDvbc2SystemInterleaver;
extern RsRangeTable rssfc_rngDVBT2SFNStaticDelay;
extern RsRangeTable rssfc_rngDVBT2SFNMaxDeviationTime;
extern RsRangeTable rssfc_rngDVBT2T2SystemTxIDAvailability;
extern RsRangeTable rssfc_rngDVBC2NotchType;
extern RsRangeTable rssfc_rngDVBC2FramingC2Bandwidth;
extern RsRangeTable rssfc_rngDVBC2NotchNumberOfNotches;
extern RsRangeTable rssfc_rngDVBC2FramingBasebandFilter;
extern RsRangeTable rssfc_rngDVBT2T2SystemProfileMode;
extern RsRangeTable rssfc_rngDVBT2InputSignalT2MISID;
extern RsRangeTable rssfc_rngDVBT2SFNTimestampMode;
extern RsRangeTable rssfc_rngDVBT2SFNTimestampModeOffset;
extern RsRangeTable rssfc_rngDVBT2T2SystemFutureExtensionFramesPayload;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_RSSFC_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_RSSFC_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_RSSFC_RS_ATTR_CACHE;
extern RsAttrProperties g_RSSFC_RS_ATTR_SIMULATE;
extern RsAttrProperties g_RSSFC_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_RSSFC_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_RSSFC_RS_ATTR_SPY;
extern RsAttrProperties g_RSSFC_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_RSSFC_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSSFC_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_RSSFC_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_RSSFC_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_RSSFC_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSSFC_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSSFC_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_RSSFC_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_RSSFC_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_RSSFC_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_RSSFC_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSSFC_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSSFC_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSSFC_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_RSSFC_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_RSSFC_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_RSSFC_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_RSSFC_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_RSSFC_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_RSSFC_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_RSSFC_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_RSSFC_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_RSSFC_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_RSSFC_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_RSSFC_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_RSSFC_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_RSSFC_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_RSSFC_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_RSSFC_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_RSSFC_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_RSSFC_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSSFC_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSSFC_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_RSSFC_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSSFC_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSSFC_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_RSSFC_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_RSSFC_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_RSSFC_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_RSSFC_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_RSSFC_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_RSSFC_ATTR_FREQ_CW;
extern RsAttrProperties g_RSSFC_ATTR_FREQ_ACT_CENTER;
extern RsAttrProperties g_RSSFC_ATTR_FREQ_CHANNEL;
extern RsAttrProperties g_RSSFC_ATTR_FREQ_CHANNEL_NAME;
extern RsAttrProperties g_RSSFC_ATTR_FREQ_CHANNEL_TABLE_SELECT;
extern RsAttrProperties g_RSSFC_ATTR_FREQ_CHANNEL_TABLE_STORE;
extern RsAttrProperties g_RSSFC_ATTR_FREQ_CHANNEL_TABLE_DELETE;
extern RsAttrProperties g_RSSFC_ATTR_FREQ_VSB_REF_POINT;
extern RsAttrProperties g_RSSFC_ATTR_POW_LEVEL;
extern RsAttrProperties g_RSSFC_ATTR_RFOUT_STATE;
extern RsAttrProperties g_RSSFC_ATTR_POW_USER_LIMIT;
extern RsAttrProperties g_RSSFC_ATTR_POW_PEAK_ENVELOPE_POWER;
extern RsAttrProperties g_RSSFC_ATTR_RFOUT_AMODE;
extern RsAttrProperties g_RSSFC_ATTR_RFOUT_ATT_MIN;
extern RsAttrProperties g_RSSFC_ATTR_RFOUT_ATT_MAX;
extern RsAttrProperties g_RSSFC_ATTR_POW_LEV_UNIT;
extern RsAttrProperties g_RSSFC_ATTR_MOD_DM_MODULATION;
extern RsAttrProperties g_RSSFC_ATTR_MOD_DM_SIGNAL_SOURCE;
extern RsAttrProperties g_RSSFC_ATTR_MOD_DM_TRANSMISSION_STANDARD;
extern RsAttrProperties g_RSSFC_ATTR_MOD_DM_ATV_TRANSMISSION_STANDARD;
extern RsAttrProperties g_RSSFC_ATTR_MOD_DM_SPECTRUM;
extern RsAttrProperties g_RSSFC_ATTR_MOD_DM_AUDIO_STANDARD;
extern RsAttrProperties g_RSSFC_ATTR_MOD_DM_IQ_SWAP;
extern RsAttrProperties g_RSSFC_ATTR_MOD_DIGITAL_IN_MODE;
extern RsAttrProperties g_RSSFC_ATTR_MOD_DIGITAL_IQ_INPUT_RMS_VAL;
extern RsAttrProperties g_RSSFC_ATTR_MOD_DIGITAL_IQ_INPUT_PEAK_VAL;
extern RsAttrProperties g_RSSFC_ATTR_MOD_DIGITAL_IQ_INPUT_REFRESH;
extern RsAttrProperties g_RSSFC_ATTR_MODULATION_DIGITAL_IQ_INPUT_SYMBOL_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_SOUR;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_SOUR_LOW;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_INP;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_INP_LOW;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_STUF;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_STUF_LOW;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_TEST;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_TEST_LOW;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_PACKET_LENGTH;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_PACKET_LENGTH_LOW;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_MAX_USEFUL_DATA_RATE_LOW;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_MEASURED_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_MEASURED_DATA_RATE_LOW;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_USEFUL_DATA_RATE_LOW;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_CHAN;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_USED_RESULT;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_FFT_MODE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_GUAR_INT;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_HIER;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_CONS;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_RATE_LOW;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_DVHS;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_DVBH_SYMB;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_SETT;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_REED;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_REED_LOW;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_TSP;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_PRBS;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_CELL_ID;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_TPSR_STAT;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_TPSR_VAL;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_TIM;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_TIM_LOW;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_MPEF;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBT_MPEF_LOW;
extern RsAttrProperties g_RSSFC_ATTR_DVBT_SETTINGS_PAYLOAD_TEST_STUFF;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBC_SOUR;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBC_INP;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBC_STUF;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBC_TEST;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBC_PACKET_LENGTH;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBC_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBC_MEASURED_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBC_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBC_SYMB;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBC_CONS;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBC_ROLL;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBC_SETT;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBC_REED;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBC_TSP;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBC_PRBS;
extern RsAttrProperties g_RSSFC_ATTR_DVBC_SETTINGS_PAYLOAD_TEST_STUFF;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_INP;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_STUF;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_PACKET_LENGTH;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_MEASURED_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_TEST;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_SOUR;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_NETW;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_CODING_SINGLE_CARRIER_MODE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_CODING_DUAL_PILOT_TONE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_CODING_CONTROL_FRAMES;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_CONS;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_GUARD_INTERVAL;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_SPECIAL_GUARD_INTERVAL_PN;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_TIME_INTERLEAVER;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_CHAN;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_DEL_ADD;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_LOCAL_DEL_ADD;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_LOCAL_DEL_MAX;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_SIGNAL;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_TSP;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DTMB_PRBS;
extern RsAttrProperties g_RSSFC_ATTR_DTMB_SETTINGS_PAYLOAD_TEST_STUFF;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBS_SOUR;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBS_INP;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBS_STUF;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBS_TEST;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBS_PACKET_LENGTH;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBS_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBS_MEASURED_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBS_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBS_SYMB;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBS_CONS;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBS_ROLL;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBS_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBS_SETT_STATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBS_REED;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBS_TSP;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DVBS_PRBS;
extern RsAttrProperties g_RSSFC_ATTR_DVBS_SETTINGS_PAYLOAD_TEST_STUFF;
extern RsAttrProperties g_RSSFC_ATTR_DVBS2_INPUT_SIGNAL_SOURCE;
extern RsAttrProperties g_RSSFC_ATTR_DVBS2_INPUT_SIGNAL_INPUT;
extern RsAttrProperties g_RSSFC_ATTR_DVBS2_INPUT_SIGNAL_STUFFING;
extern RsAttrProperties g_RSSFC_ATTR_DVBS2_INPUT_SIGNAL_TEST_SIGNAL;
extern RsAttrProperties g_RSSFC_ATTR_READ_DVBS2_PACKET_LENGTH;
extern RsAttrProperties g_RSSFC_ATTR_READ_DVBS2_MEASURED_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_READ_DVBS2_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_READ_DVBS2_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_DVBS2_CODING_SYMBOL_RATE;
extern RsAttrProperties g_RSSFC_ATTR_DVBS2_CODING_CONSTELLATION;
extern RsAttrProperties g_RSSFC_ATTR_DVBS2_CODING_FEC_FRAME;
extern RsAttrProperties g_RSSFC_ATTR_DVBS2_CODING_PILOTS;
extern RsAttrProperties g_RSSFC_ATTR_DVBS2_CODING_ROLL_OFF;
extern RsAttrProperties g_RSSFC_ATTR_DVBS2_CODING_CODE_RATE;
extern RsAttrProperties g_RSSFC_ATTR_DVBS2_SETTINGS_TEST_TS_PACKET;
extern RsAttrProperties g_RSSFC_ATTR_DVBS2_SETTINGS_PRBS;
extern RsAttrProperties g_RSSFC_ATTR_DVBS2_SETTINGS_PAYLOAD_TEST_STUFF;
extern RsAttrProperties g_RSSFC_ATTR_TDMB_SOURCE;
extern RsAttrProperties g_RSSFC_ATTR_TDMB_ETI_INPUT;
extern RsAttrProperties g_RSSFC_ATTR_TDMB_NUMBER_OF_STREAMS;
extern RsAttrProperties g_RSSFC_ATTR_TDMB_MODE_IDENTITY;
extern RsAttrProperties g_RSSFC_ATTR_TDMB_SCID;
extern RsAttrProperties g_RSSFC_ATTR_TDMB_PROT_PROFILE;
extern RsAttrProperties g_RSSFC_ATTR_TDMB_PROT_LEVEL;
extern RsAttrProperties g_RSSFC_ATTR_TDMB_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_TDMB_SPECIAL_SETTINGS;
extern RsAttrProperties g_RSSFC_ATTR_TDMB_TRANSMISSION_MODE;
extern RsAttrProperties g_RSSFC_ATTR_TDMB_SELECT_TRANSMISSION_MODE;
extern RsAttrProperties g_RSSFC_ATTR_TDMB_PRBS_TESTSIGNAL;
extern RsAttrProperties g_RSSFC_ATTR_TDMB_TESTSIGNAL_SCID;
extern RsAttrProperties g_RSSFC_ATTR_TDMB_TII;
extern RsAttrProperties g_RSSFC_ATTR_TDMB_PRBS;
extern RsAttrProperties g_RSSFC_ATTR_TDMB_TII_MAIN_ID;
extern RsAttrProperties g_RSSFC_ATTR_TDMB_TII_SUB_ID;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_SOURCE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_TEST;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_INPUT_SIGNAL;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_INPUT_SIGNAL_REMUX;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_INPUT_SIGNAL_STUFFING;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_INPUT_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_MEAS_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_CODING_SYSTEM;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_CODING_CONTROL;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_PORTION;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_CONSTELLATION;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_SEGMENTS;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_CODE_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_TIME_INTERLEAVING;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_MODE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_GUARD_INTERVAL;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_CODING_SUB_CHANNEL;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_BANDWIDTH;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_SPECIAL_SETTINGS;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_AC_DATA1;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_AC_DATA2;
extern RsAttrProperties g_RSSFC_ATTR_ISDBT_SPECIAL_SETTINGS_ALERT_BROADCAST;
extern RsAttrProperties g_RSSFC_ATTR_ISDBT_SPECIAL_SETTINGS_RESIDUAL_CARRIER_SHIFT;
extern RsAttrProperties g_RSSFC_ATTR_ISDBT_SPECIAL_SETT_TX_PARAM_SWITCHING_IND;
extern RsAttrProperties g_RSSFC_ATTR_ISDBT_SPECIAL_SETTINGS_TMCC_NEXT;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_TEST_TS_PACKED;
extern RsAttrProperties g_RSSFC_ATTR_IQC_ISDBT_PRBS;
extern RsAttrProperties g_RSSFC_ATTR_ISDBT_SETTINGS_PAYLOAD_TEST_STUFF;
extern RsAttrProperties g_RSSFC_ATTR_IQC_8VSB_SOURCE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_8VSB_INPUT_SIGNAL;
extern RsAttrProperties g_RSSFC_ATTR_IQC_8VSB_STUFFING;
extern RsAttrProperties g_RSSFC_ATTR_IQC_8VSB_TEST;
extern RsAttrProperties g_RSSFC_ATTR_IQC_8VSB_PACKET_LENGTH;
extern RsAttrProperties g_RSSFC_ATTR_IQC_8VSB_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_8VSB_MEASURED_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_8VSB_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_8VSB_SYMBOL_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_8VSB_CONSTELLATION;
extern RsAttrProperties g_RSSFC_ATTR_IQC_8VSB_ROLL_OFF;
extern RsAttrProperties g_RSSFC_ATTR_IQC_8VSB_TEST_TS_PACKED;
extern RsAttrProperties g_RSSFC_ATTR_IQC_8VSB_PRBS;
extern RsAttrProperties g_RSSFC_ATTR_8VSB_SETTINGS_PAYLOAD_TEST_STUFF;
extern RsAttrProperties g_RSSFC_ATTR_IQC_J83B_SOURCE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_J83B_INPUT_SIGNAL;
extern RsAttrProperties g_RSSFC_ATTR_IQC_J83B_STUFFING;
extern RsAttrProperties g_RSSFC_ATTR_IQC_J83B_PACKET_LENGTH;
extern RsAttrProperties g_RSSFC_ATTR_IQC_J83B_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_J83B_MEASURED_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_J83B_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_J83B_TEST;
extern RsAttrProperties g_RSSFC_ATTR_IQC_J83B_SYMBOL_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_J83B_CONSTELLATION;
extern RsAttrProperties g_RSSFC_ATTR_IQC_J83B_ROLL_OFF;
extern RsAttrProperties g_RSSFC_ATTR_IQC_J83B_INTERLEAVER_MODE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_J83B_SPECIAL_SETTINGS;
extern RsAttrProperties g_RSSFC_ATTR_IQC_J83B_REED_SOLOMON;
extern RsAttrProperties g_RSSFC_ATTR_IQC_J83B_TEST_TS_PACKED;
extern RsAttrProperties g_RSSFC_ATTR_IQC_J83B_PRBS;
extern RsAttrProperties g_RSSFC_ATTR_J83B_SETTINGS_PAYLOAD_TEST_STUFF;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DIR_SOUR;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DIR_INP;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DIR_STUF;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DIR_PACKET_LENGTH;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DIR_REQ_SOURCE_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DIR_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DIR_MEASURED_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DIR_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DIR_TEST;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DIR_SYMB;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DIR_CONS;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DIR_ROLL;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DIR_RATE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DIR_TSP;
extern RsAttrProperties g_RSSFC_ATTR_IQC_DIR_PRBS;
extern RsAttrProperties g_RSSFC_ATTR_IQC_MFLO_SOURCE;
extern RsAttrProperties g_RSSFC_ATTR_IQC_MFLO_INPUT;
extern RsAttrProperties g_RSSFC_ATTR_IQC_MFLO_MEAS_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_READ_MEDIAFLO_INPUT_SIGNAL_WIDE_CONTENT_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_READ_MEDIAFLO_INPUT_SIGNAL_WIDE_CONTROL_CHANNEL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_READ_MEDIAFLO_INPUT_SIGNAL_WIDE_OIS_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_READ_MEDIAFLO_INPUT_SIGNAL_LOCAL_CONTENT_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_READ_MEDIAFLO_INPUT_SIGNAL_LOCAL_CONTROL_CHANNEL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_READ_MEDIAFLO_INPUT_SIGNAL_LOCAL_OIS_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_READ_MEDIAFLO_STATUS_SSF_ARRIVAL_TIME;
extern RsAttrProperties g_RSSFC_ATTR_READ_MEDIAFLO_STATUS_1PPS_TDM1_ERROR;
extern RsAttrProperties g_RSSFC_ATTR_READ_MEDIAFLO_STATUS_OUT_OF_FRAME_COUNT;
extern RsAttrProperties g_RSSFC_ATTR_READ_MEDIAFLO_STATUS_SEQUENCE_ERROR_COUNT;
extern RsAttrProperties g_RSSFC_ATTR_READ_MEDIAFLO_STATUS_SCHEDULING_ERROR_COUNT;
extern RsAttrProperties g_RSSFC_ATTR_IQC_MFLO_CHANNEL_BANDWIDTH;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_CODING_IFFT_MODE;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_CODING_SLOT_TO_INTERLACE_MAPPING;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_CODING_CYCLIC_PREFIX_LENGTH;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_CODING_WIDE_AREA_ID_VALUE;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_CODING_LOCAL_AREA_ID_VALUE;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_CODING_WIDE_MAC_SYMBOLS_FRAME;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_CODING_LOCAL_MAC_SYMBOLS_FRAME;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_CODING_NETWORK_GEOGRAPHY_DELAY;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_SETTINGS_WIDE_PID_CONTENT;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_SETTINGS_WIDE_PID_CONTROL_CHANNEL;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_SETTINGS_WIDE_PID_OIS;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_SETTINGS_LOCAL_PID_CONTENT;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_SETTINGS_LOCAL_PID_CONTROL_CHANNEL;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_SETTINGS_LOCAL_PID_OIS;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_SETTINGS_LOCAL_OIS_INSERTION;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_SETTINGS_INFRASTRUCTURE_ID;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_SETTINGS_LOCAL_TIME_OFFSET;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_SETTINGS_DAYLIGHT_SAVINGS_TIME_INDICATOR;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_SETTINGS_POSITION_PILOT_SYMBOLS;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_SETTINGS_TRANSMITTER_ID;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_SETTINGS_NUMBER_OF_TRANSMITTERS;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_SETTINGS_TX_POSITION_ENABLE;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_SETTINGS_TX_POSITION;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_SETTINGS_TX_OFFSET_ENABLE;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_SETTINGS_TX_OFFSET;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_SETTINGS_TX_LATITUDE;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_SETTINGS_TX_LONGITUDE;
extern RsAttrProperties g_RSSFC_ATTR_MEDIAFLO_SETTINGS_TX_ALTITUDE;
extern RsAttrProperties g_RSSFC_ATTR_ATSM_SOURCE;
extern RsAttrProperties g_RSSFC_ATTR_ATSM_INPUT;
extern RsAttrProperties g_RSSFC_ATTR_ATSM_STUFFING;
extern RsAttrProperties g_RSSFC_ATTR_ATSM_TEST_SIGNAL;
extern RsAttrProperties g_RSSFC_ATTR_READ_ATSM_MEASURED_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_READ_ATSM_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_READ_ATSM_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_READ_ATSM_PACKET_LENGTH;
extern RsAttrProperties g_RSSFC_ATTR_ATSM_CONSTELLATION;
extern RsAttrProperties g_RSSFC_ATTR_ATSM_MH_STATE;
extern RsAttrProperties g_RSSFC_ATTR_ATSM_ROLL_OFF;
extern RsAttrProperties g_RSSFC_ATTR_ATSM_SYMBOL_RATE;
extern RsAttrProperties g_RSSFC_ATTR_ATSM_BURY_RATIO;
extern RsAttrProperties g_RSSFC_ATTR_ATSM_MHE_PID;
extern RsAttrProperties g_RSSFC_ATTR_ATSM_MARKET_ID;
extern RsAttrProperties g_RSSFC_ATTR_ATSM_TRANSMITTER_ID;
extern RsAttrProperties g_RSSFC_ATTR_ATSM_MTXID_TRANSMISSION;
extern RsAttrProperties g_RSSFC_ATTR_ATSM_NETWORK_ID;
extern RsAttrProperties g_RSSFC_ATTR_ATSM_PAYLOAD_TEST;
extern RsAttrProperties g_RSSFC_ATTR_ATSM_PRBS;
extern RsAttrProperties g_RSSFC_ATTR_ATSM_TEST_TS_PACKET;
extern RsAttrProperties g_RSSFC_ATTR_ATSM_TX_ADDRESS;
extern RsAttrProperties g_RSSFC_ATTR_ATSM_WATERMARK;
extern RsAttrProperties g_RSSFC_ATTR_CMMB_INPUT_SIGNAL_SOURCE;
extern RsAttrProperties g_RSSFC_ATTR_CMMB_INPUT_SIGNAL_INPUT;
extern RsAttrProperties g_RSSFC_ATTR_CMMB_INPUT_SIGNAL_STUFFING;
extern RsAttrProperties g_RSSFC_ATTR_CMMB_INPUT_SIGNAL_NUMBER_OF_SERVICES;
extern RsAttrProperties g_RSSFC_ATTR_CMMB_INPUT_SIGNAL_TEST_SIGNAL;
extern RsAttrProperties g_RSSFC_ATTR_READ_CMMB_MAX_USEFUL_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_READ_CMMB_MEASURED_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_CMMB_CODING_CONTROL;
extern RsAttrProperties g_RSSFC_ATTR_CMMB_CODING_BANDWIDTH;
extern RsAttrProperties g_RSSFC_ATTR_CMMB_CODING_OFDM_MODE;
extern RsAttrProperties g_RSSFC_ATTR_CMMB_SETTINGS_TRANSMITTER_ID;
extern RsAttrProperties g_RSSFC_ATTR_CMMB_SETTINGS_AREA_ID;
extern RsAttrProperties g_RSSFC_ATTR_CMMB_SETTINGS_PAYLOAD_TEST_SIGNAL;
extern RsAttrProperties g_RSSFC_ATTR_CMMB_SETTINGS_PRBS;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_INTERFACE_STATE;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_INTERFACE_INPUT;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_SOURCE;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PID;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_SID;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_INPUT_SIGNAL_NUMBER_OF_PLP;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_INPUT_SIGNAL_INPUT_FORMAT;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_INPUT_SIGNAL_SOURCE;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_INPUT_SIGNAL_INPUT;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_INPUT_SIGNAL_STUFFING;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_INPUT_SIGNAL_MAX_USEF_DR;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_INPUT_SIGNAL_MEAS_DR;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_INPUT_SIGNAL_USEFUL_DR;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_INPUT_SIGNAL_TEST_SIGNAL;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_INPUT_SIGNAL_RESET_T2_MI_ANALYZER_LOG_FILE;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_ANALYZER;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_MODE_STREAM_ADAPT_PLP_ID;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_MODE_STREAM_ADAPT_PLP_GROUP_ID;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_MODE_STREAM_ADAPT_PLP_TYPE;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_MODE_STREAM_ADAPT_BB_MODE;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_MODE_STREAM_ADAPT_ISSY;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_MODE_STREAM_ADAPT_NULL_PACKET_DEL;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_MODE_STREAM_ADAPT_IN_BAND_SIGNAL;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_MODE_STREAM_ADAPT_IN_BAND_SIGNAL_A;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_MODE_STREAM_ADAPT_IN_BAND_SIGNAL_B;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_MODE_STREAM_ADAPT_OTHER_IN_BAND_PLP;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_MODE_STREAM_ADAPT_CM_TYPE;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_BICM_FEC_FRAME;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_BICM_CODE_RATE;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_BICM_CONSTELL;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_BICM_CONSTELL_ROTATION;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_BICM_TIME_INTERL_TYPE;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_BICM_FRAME_INT_I_JUMP;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_BICM_TIME_INTERL_LENGTH;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_BICM_FEC_BLOCKS_PER_IF;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_BICM_FEC_MAX_BLOCKS_PER_IF;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_FRAMING_CHANNEL_BANDWIDTH;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_FRAMING_USED_BANDWIDTH;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_FRAMING_BANDWIDTH_VARIATION;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_FRAMING_FFT_SIZE;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_FRAMING_GUARD_INTERVAL;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_FRAMING_PILOT_PATTERN;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_FRAMING_T2_FRAMES_PER_SUPER_FRAME;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_FRAMING_OFDM_SYMBOLS_PER_T2_FRAME;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_FRAMING_DATA_SYMBOLS_PER_T2_FRAME;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_FRAMING_SUBSLICES_PER_T2_FRAME;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_NETWORK_MODE;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_PROFILE_MODE;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_TRANSMISSION_SYSTEM;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_MISO_GROUP;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_PEAK_TO_AVRAGE_POWER_RATIO;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_MISO_GROUP_MODE;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_FUTURE_EXTENSION_FRAMES;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_FUTURE_EXTENSION_FRAMES_LENGTH;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_FUTURE_EXTENSION_FRAMES_TYPE;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_FUTURE_EXTENSION_FRAMES_INTERVAL;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_FUTURE_EXTENSION_FRAMES_PAYLOAD;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_TIME_FREQUENCY_SLICING;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_L_POST_MODULATION;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_L_REPETITION;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_L1_POST_SCRAMBLED;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_T2_BASE_LITE;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_L_POST_EXTENSION;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_NUM_AUX_STREAMS;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_L_RF_SIGNALLING;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_L1_SIGNALLING_FREQUENCY;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_CELL_ID;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_NETWORK_ID;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_ID;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_L1_T2_VERSION;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_T2_SYSTEM_TX_ID_AVAILABILITY;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_SFN_PROCESS_DELAY;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_SFN_STATIC_DELAY;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_SFN_DYNAMIC_DELAY;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_SFN_TOTAL_DELAY;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_SFN_MAX_DEVIATION_TIME;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_SFN_MUTE_FIRST_P1_OF_SUPER_FRAME;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_SFN_TIMESTAMP_MODE_UTC_DATE;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_SFN_TIMESTAMP_MODE_UTC_TIME;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_SFN_TIMESTAMP_MODE_SECONDS_SINCE_2000;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_SFN_UPDATE_TIMESTAMP;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_SFN_TIMESTAMP_MODE;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_SFN_TIMESTAMP_MODE_OFFSET;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_SETTINGS_TEST_TS_PACKET;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_SETTINGS_PAYLOAD_TEST_TS_PACKET;
extern RsAttrProperties g_RSSFC_ATTR_DVBT2_SETTINGS_PRBS;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_INPUT_SIGNAL_NUMBER_OF_PLP;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_INPUT_SIGNAL_INPUT_FORMAT;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_INPUT_SIGNAL_SOURCE;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_INPUT_SIGNAL_INPUT;
extern RsAttrProperties g_RSSFC_ATTR_READ_DVBC2_INPUT_SIGNAL_MAX_DR;
extern RsAttrProperties g_RSSFC_ATTR_READ_DVBC2_INPUT_SIGNAL_MEAS_DR;
extern RsAttrProperties g_RSSFC_ATTR_READ_DVBC2_INPUT_SIGNAL_USEFUL_DR;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_INPUT_SIGNAL_TEST_SIGNAL;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_MODE_STREAM_ADAPT_PLP_ID;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_MODE_STREAM_ADAPT_PLP_TYPE;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_MODE_STREAM_ADAPT_BB_MODE;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_MODE_STREAM_ADAPT_ISSY;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_MODE_STREAM_ADAPT_NULL_PACKET_DEL;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_BICM_FEC_FRAME;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_BICM_CODE_RATE;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_BICM_CONSTELL;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_BICM_XFEC_FRAME_LENGTH;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_BICM_MAP_TO_DSLICE;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_DATA_SLICE_MIN_MAX_REL;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_DATA_SLICE_MIN_MAX_ABS;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_DATA_SLICE_NUMBER_OF_DATA_SLICES;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_DATA_SLICE_DSLICE_ID;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_DATA_SLICE_DSLICE_TI_DEPTH;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_DATA_SLICE_DSLICE_TYPE;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_DATA_SLICE_FEC_HEADER_TYPE;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_DATA_SLICE_NUM_XFEC_FRAMES;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_DATA_SLICE_DSLICE_NUM_PLP;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_DATA_SLICE_OFFSET_LEFT;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_DATA_SLICE_TUNE_POS_REL;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_DATA_SLICE_OFFSET_RIGHT;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_DATA_SLICE_START_REL;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_DATA_SLICE_STOP_REL;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_DATA_SLICE_WIDTH;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_DATA_SLICE_START_ABS;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_DATA_SLICE_TUNE_POS_ABS;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_DATA_SLICE_STOP_ABS;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_DATA_SLICE_TUNE_FREQ;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_DATA_SLICE_START_FREQ;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_DATA_SLICE_STOP_FREQ;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_NOTCH_NUMBER_OF_NOTCHES;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_NOTCH_START_REL;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_NOTCH_STOP_REL;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_NOTCH_START_ABS;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_NOTCH_STOP_ABS;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_NOTCH_WIDTH;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_NOTCH_TYPE;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_NOTCH_START_FREQ;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_NOTCH_STOP_FREQ;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_FRAMING_CHANNEL_BANDWIDTH;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_FRAMING_USED_BANDWIDTH;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_FRAMING_C2_BANDWIDTH;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_FRAMING_GUARD_INTERVAL;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_FRAMING_BASEBAND_FILTER;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_FRAMING_DX;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_FRAMING_START_FREQUENCY;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_FRAMING_CARRIER_SPACING;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_FRAMING_CALC_CENTER_FREQUENCY;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_FRAMING_ADJUST_RF_FREQUENCY;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_FRAMING_NUMBER_OF_DATA_SYMBOLS_PER_C2_FRAME;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_FRAMING_NUMBER_OF_PREAMBLE_SYMBOLS;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_C2_SYSTEM_NETWORK_ID;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_C2_SYSTEM_ID;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_C2_SYSTEM_L1_TIME_INTERLEAVER;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_C2_SYSTEM_RESERVED_TONES;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_SETTINGS_TEST_TS_PACKET;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_SETTINGS_PAYLOAD_TEST_TS_PACKET;
extern RsAttrProperties g_RSSFC_ATTR_DVBC2_SETTINGS_PRBS;
extern RsAttrProperties g_RSSFC_ATTR_ATV_VIDEO_INPUT_SIGNAL;
extern RsAttrProperties g_RSSFC_ATTR_ATV_VISION_PICTURE;
extern RsAttrProperties g_RSSFC_ATTR_ATV_LOAD_VIDEO_LIB;
extern RsAttrProperties g_RSSFC_ATTR_ATV_AUDIO_INPUT_SIGNAL;
extern RsAttrProperties g_RSSFC_ATTR_ATV_FREQ_SOUND_MONO;
extern RsAttrProperties g_RSSFC_ATTR_ATV_LEVEL_SOUND_MONO;
extern RsAttrProperties g_RSSFC_ATTR_ATV_FREQ_SOUND_LEFT;
extern RsAttrProperties g_RSSFC_ATTR_ATV_FREQ_SOUND_RIGHT;
extern RsAttrProperties g_RSSFC_ATTR_ATV_LEVEL_SOUND_LEFT;
extern RsAttrProperties g_RSSFC_ATTR_ATV_LEVEL_SOUND_RIGHT;
extern RsAttrProperties g_RSSFC_ATTR_ATV_FREQ_SOUND_CH1;
extern RsAttrProperties g_RSSFC_ATTR_ATV_FREQ_SOUND_CH2;
extern RsAttrProperties g_RSSFC_ATTR_ATV_LEVEL_SOUND_CH1;
extern RsAttrProperties g_RSSFC_ATTR_ATV_LEVEL_SOUND_CH2;
extern RsAttrProperties g_RSSFC_ATTR_ATV_AUDIO_AF_1;
extern RsAttrProperties g_RSSFC_ATTR_ATV_AUDIO_AF_2;
extern RsAttrProperties g_RSSFC_ATTR_ANALOG_TV_AUDIO_LOAD_AUDIO_PLAYER_FILE;
extern RsAttrProperties g_RSSFC_ATTR_ANALOG_TV_NICAM_SOURCE;
extern RsAttrProperties g_RSSFC_ATTR_ANALOG_TV_NICAM_SOUND_MODE;
extern RsAttrProperties g_RSSFC_ATTR_ANALOG_TV_NICAM_AF_1;
extern RsAttrProperties g_RSSFC_ATTR_ANALOG_TV_NICAM_FREQUENCY_SOUND_LEFT;
extern RsAttrProperties g_RSSFC_ATTR_ANALOG_TV_NICAM_FREQUENCY_SOUND_CHANNEL_1;
extern RsAttrProperties g_RSSFC_ATTR_ANALOG_TV_NICAM_FREQUENCY_SOUND_CHANNEL_2;
extern RsAttrProperties g_RSSFC_ATTR_ANALOG_TV_NICAM_FREQUENCY_SOUND_MONO;
extern RsAttrProperties g_RSSFC_ATTR_ANALOG_TV_NICAM_LEVEL_SOUND_LEFT;
extern RsAttrProperties g_RSSFC_ATTR_ANALOG_TV_NICAM_LEVEL_SOUND_CHANNEL_1;
extern RsAttrProperties g_RSSFC_ATTR_ANALOG_TV_NICAM_LEVEL_SOUND_CHANNEL_2;
extern RsAttrProperties g_RSSFC_ATTR_ANALOG_TV_NICAM_LEVEL_SOUND_MONO;
extern RsAttrProperties g_RSSFC_ATTR_ANALOG_TV_NICAM_AF_2;
extern RsAttrProperties g_RSSFC_ATTR_ANALOG_TV_NICAM_FREQUENCY_SOUND_RIGHT;
extern RsAttrProperties g_RSSFC_ATTR_ANALOG_TV_NICAM_LEVEL_SOUND_RIGHT;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SOUND_MODUL_MODE;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SOUND_MODUL_FREQ_DEV_SUBCAR1;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SOUND_MODUL_FREQ_DEV_SUBCAR2;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SOUND_MODUL_FREQ_DEV_PILOT;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SOUND_MODUL_FREQ_DEV_MONO;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_SETTINGS;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_PREEMPHASIS;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_PILOT;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_NOM_FREQ_DEV_PILOT;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_NOM_FREQ_DEV_MONO;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_NOM_FREQ_DEV_SUBCAR_1;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_NOM_FREQ_DEV_SUBCAR_2;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_SUBCARRIER;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_SUBCARRIER_1;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_SUBCARRIER_2;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_FREQ_SUBCARRIER;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_FREQ_SUBCARRIER_1;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_FREQ_SUBCARRIER_2;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_LEVEL_SUBCARRIER;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_LEVEL_SUBCARRIER_1;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_LEVEL_SUBCARRIER_2;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_VSB_FILTER;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_VSB_CHARACTERISTIC;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_GD_PRECORRECTION;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_RESIDUAL_CARRIER;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_CARRIER;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_VIDEO;
extern RsAttrProperties g_RSSFC_ATTR_ATV_SPECIAL_AM_MODULATION_DEPTH;
extern RsAttrProperties g_RSSFC_ATTR_ANALOG_TV_SPECIAL_NICAM_PREEMPHASIS;
extern RsAttrProperties g_RSSFC_ATTR_ANALOG_TV_SPECIAL_NICAM_GAIN_ADJUST_1;
extern RsAttrProperties g_RSSFC_ATTR_ANALOG_TV_SPECIAL_NICAM_GAIN_ADJUST_2;
extern RsAttrProperties g_RSSFC_ATTR_ANALOG_TV_SPECIAL_NICAM_ROLL_OFF;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_SOURCE_LEFT;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_SOURCE_RIGHT;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_AF_MODE;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_SOURCE_FREQUENCY_LEFT;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_SOURCE_FREQUENCY_RIGHT;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_SOURCE_LEVEL_LEFT;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_SOURCE_LEVEL_RIGHT;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_RDS_GROUP_SEQUENCE;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_RDS_PI;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_RDS_PS;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_RDS_TP;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_RDS_TA;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_RDS_PTY;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_RDS_PTYN;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_RDS_RT;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_RDS_RT_READY;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_RDS_MS;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_RDS_DI_DYNAMIC_PTY;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_RDS_DI_COMPRESSED;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_RDS_DI_ART_HEAD;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_RDS_DI_STEREO;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_RDS_DI_CT;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_RDS_DI_CT_OFFSET;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_RDS_DI_AF_METHOD;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_AF_A_NUMBER_OF_FREQ;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_AF_A_FREQUENCY;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_AF_B_NUMBER_OF_LISTS;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_AF_B_NUMBER_OF_FREQ;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_AF_B_TUNING_FREQ;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_AF_B_AF_FREQUENCY;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_AF_B_AF_ORDER;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_EON_PI;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_EON_PS;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_EON_TP;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_EON_TA;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_EON_LA;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_EON_EG;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_EON_ILS;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_EON_LSN;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_EON_PTY;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_EON_PIN;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_EON_AF_METHOD;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_EON_AF_A_NUMBER_OF_FREQ;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_EON_AF_A_FREQUENCY;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_EON_AF_MAPPED_FREQ_NUMBER_OF_FREQ;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_EON_AF_MAPPED_FREQ_TUNING_FREQ;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_EON_AF_MAPPED_FREQ_AF_FREQUENCY;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_TMC_TMC;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_TMC_GROUP_3A_VAR_00;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_TMC_GROUP_3A_VAR_01;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_TMC_NUMBER_OF_8A_GROUPS;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_TMC_8A_BLOCK;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_TMC_APPLY;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_OPEN_FORMAT;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_OPEN_FORMAT_APPLY;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_OPEN_FORMAT_GROUP_A;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_OPEN_FORMAT_GROUP_B;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_OPEN_FORMAT_GROUP_A_READY;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_OPEN_FORMAT_GROUP_B_READY;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_MODULATION_MODE;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_MODULATION_PREEMPHASIS;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_MODULATION_RDS;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_MODULATION_NOM_FREQ_DEV_AUDIO;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_MODULATION_FREQ_DEV_AUDIO;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_MODULATION_FREQ_DEV_RDS;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_MODULATION_FREQ_DEV_PILOT_19KHZ;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_FM_SPECIAL_SETTINGS;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_SPECIAL_PILOT;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_SPECIAL_PHASE_OFFSET_PILOT_19KHZ;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_SPECIAL_PHASE_OFFSET_RDS;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_AM_SOURCE;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_AM_INTERNAL_FREQUENCY;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_AM_INTERNAL_LEVEL;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_AM_NOM_MOD_DEPTH;
extern RsAttrProperties g_RSSFC_ATTR_AUDIO_BC_AM_MOD_DEPTH;
extern RsAttrProperties g_RSSFC_ATTR_NOISE;
extern RsAttrProperties g_RSSFC_ATTR_NOISE_CN;
extern RsAttrProperties g_RSSFC_ATTR_NOISE_BANDWIDTH_COUPLING;
extern RsAttrProperties g_RSSFC_ATTR_NOISE_RECEIVER_BANDWIDTH;
extern RsAttrProperties g_RSSFC_ATTR_GEN_NOISE_BANDWIDTH;
extern RsAttrProperties g_RSSFC_ATTR_AWGN;
extern RsAttrProperties g_RSSFC_ATTR_TSGEN_COMMAND;
extern RsAttrProperties g_RSSFC_ATTR_TSGEN_COMMAND_STATE;
extern RsAttrProperties g_RSSFC_ATTR_TSGEN_SEEK_POSITION;
extern RsAttrProperties g_RSSFC_ATTR_TSGEN_PLAYER_PLAYFILE;
extern RsAttrProperties g_RSSFC_ATTR_TSGEN_FILE_DATE;
extern RsAttrProperties g_RSSFC_ATTR_TSGEN_ORIGINAL_TS_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_TSGEN_PLAYER_BYTERATE;
extern RsAttrProperties g_RSSFC_ATTR_TSGEN_TS_DATA_RATE;
extern RsAttrProperties g_RSSFC_ATTR_TSGEN_PLAY_WINDOW_START;
extern RsAttrProperties g_RSSFC_ATTR_TSGEN_PLAY_WINDOW_STOP;
extern RsAttrProperties g_RSSFC_ATTR_TSGEN_PACKET_LENGTH;
extern RsAttrProperties g_RSSFC_ATTR_TSGEN_ORIGINAL_LOOP_TIME;
extern RsAttrProperties g_RSSFC_ATTR_TSGEN_PLAYER_NULLPACKET_STUFFING;
extern RsAttrProperties g_RSSFC_ATTR_TSGEN_SEAMLESS_LOOP_CONT_COUNT;
extern RsAttrProperties g_RSSFC_ATTR_TSGEN_SEAMLESS_LOOP_PCR_DTS_PTS;
extern RsAttrProperties g_RSSFC_ATTR_TSGEN_SEAMLESS_LOOP_TDT_TOT;
extern RsAttrProperties g_RSSFC_ATTR_CAL_ALL;
extern RsAttrProperties g_RSSFC_ATTR_CAL_ALL_RESULT;
extern RsAttrProperties g_RSSFC_ATTR_CAL_LOCAL_DATE;
extern RsAttrProperties g_RSSFC_ATTR_CAL_LOCAL_RESULT;
extern RsAttrProperties g_RSSFC_ATTR_CAL_LOCAL;
extern RsAttrProperties g_RSSFC_ATTR_CAL_IQM_FULL;
extern RsAttrProperties g_RSSFC_ATTR_CAL_IQM_FULL_RESULT;
extern RsAttrProperties g_RSSFC_ATTR_CAL_IQM_FULL_DATE;
extern RsAttrProperties g_RSSFC_ATTR_CAL_LEV_STATE;
extern RsAttrProperties g_RSSFC_ATTR_ROSC_ADJ_STATE;
extern RsAttrProperties g_RSSFC_ATTR_ROSC_ADJ_FREQUENCY;
extern RsAttrProperties g_RSSFC_ATTR_ROSC_SOURCE;
extern RsAttrProperties g_RSSFC_ATTR_SYSTEM_DISPLAY_UPDATE;
extern RsAttrProperties g_RSSFC_ATTR_SYSTEM_KLOCK;
extern RsAttrProperties g_RSSFC_ATTR_SYST_PRESET;
extern RsAttrProperties g_RSSFC_ATTR_RCL;
extern RsAttrProperties g_RSSFC_ATTR_SAV;
extern RsAttrProperties g_RSSFC_ATTR_SERVICE_STEST;
extern RsAttrProperties g_RSSFC_ATTR_ID_QUERY_RESPONSE;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap rssfc_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr rssfc_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSSFC_ATTRIBUTES_HEADER */
